#include <string>
#include <GL/glut.h>
#include <iostream>
#include <math.h>

#define PI 3.1415926536

typedef struct {
        double l, r, b, t;
} Extent;

typedef struct {
	double x, y;
	double sx, sy;
} Point;

typedef struct node Node;

double xScreenToWorld(int);
double yScreenToWorld(int);
void initialize();
void display();
void allocateMorePoints();
bool setPointPicked(double, double);
void clearAll();
void onMouseButton(int, int, int, int);
void onKeyPress(unsigned char, int, int);
void mouse_motion( int x, int y );
void mouse_passive( int x, int y );
void resize(int, int);

